ATA_QC_ISSUE_PROT(9)

NAME
ata_qc_issue_prot - issue taskfile to device in proto-dependent manner

SYNOPSIS

int ata_qc_issue_prot (struct ata_queued_cmd * qc);

ARGUMENTS

qc  command to issue to device

DESCRIPTION

Using various libata functions and hooks, this function starts an ATA command. ATA commands are grouped into classes called ``protocols'', and issuing each type of protocol is slightly different.

May be used as the qc_issue entry in ata_port_operations.

LOCKING

spin_lock_irqsave(host_set lock)

RETURNS

Zero on success, negative on error.

AUTHOR
Jeff Garzik.